﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;

namespace WinGrid_ExpandAllButton_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {            
            this.ultraGrid1.DataSource = DummyDataCreator.GetData();
            this.ultraGrid1.CreationFilter = new ExpandAllButtonCreationFilter();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            var layout = e.Layout;
            var band = layout.Bands[0];
            var ov = layout.Override;

            layout.ViewStyleBand = ViewStyleBand.OutlookGroupBy;
            band.SortedColumns.Add("Boolean 1", false, true);
                        
            ov.RowSelectors = DefaultableBoolean.True;
            ov.RowSelectorHeaderStyle = RowSelectorHeaderStyle.SeparateElement;

            // Assume the RowSelectorWidth is using the default settings with a 1 pixel border left and right. 
            ov.RowSelectorWidth = SystemInformation.VerticalScrollBarWidth * 2;
            
            ov.HeaderPlacement = HeaderPlacement.FixedOnTop;            
        }
    }
}
